$(document).ready(function(){
	
	// serialize originForm to check in later states
	var originForm = $(".filterForm form").serialize();
	var originDropdownForm = "";
	// boolean to check if form should be reloaded
	var submitForm = false;
	// 
	var priceArray = new Array();
	// used for currency output
	var selectedCurrency = $('select.igShop2_cart_currency').find(':selected').val();
	
	function checkFormModification(){
		var newForm = $(".filterForm form").serialize();
		if(originForm == newForm){
			submitForm = false;
		}else{
			submitForm = true;
		}
	}
	
	function priceWithCurrency(price){
		if(afterPrice){
			return price+" "+currencySymbol;
		}
		return currencySymbol+" "+price;
	}
	
	// Define function to get minimal Value of Array
	Array.min = function( array ){
	    return Math.min.apply( Math, array );
	};
	
	// Define function to get maximal Value of Array
	Array.max = function( array ){
	    return Math.max.apply( Math, array );
	};
	
	jQuery.fn.brightness = function() {
	  var bg_color, rgba, y;
	  bg_color = this.css('background-color');
	  if ((bg_color != null) && bg_color.length) {
	    rgba = bg_color.match(/^rgb(?:a)?\(([0-9]{1,3}),\s([0-9]{1,3}),\s([0-9]{1,3})(?:,\s)?([0-9]{1,3})?\)$/);
	    if (rgba != null) {
	      if (rgba[4] === '0') {
	        if (this.parent().length) return this.parent().brightness();
	      } else {
	        y = 2.99 * rgba[1] + 5.87 * rgba[2] + 1.14 * rgba[3];
	        if (y >= 2000) {
	          return true;
	        } else {
	          return false;
	        }
	      }
	    }
	  } else {
	    if (this.parent().length) return this.parent().brightness();
	  }
	};
	
	// show the filter settings set by user
	$(".dropdown_content input[type=checkbox]").each(function(){
		var text = $("label[for="+$(this).attr("id")+"]").html();
		var filterType = $(this).parent().attr("data-FilterName");
		if($(this).is(":checked")){
			if(filterType == "Colors"){
				if($(this).parent().brightness()){
					$(this).parent().addClass("whiteSelectedOption");
				}else{
					$(this).parent().addClass("selectedOption");
				}
			}
			$(".resetForm, .initSelections").css("display", "inline-block");
			$(".igShopSelectedOptions").append("<div id=\"placeholder_"+$(this).attr("id")+"\" class=\"filter_placeholder\"><div class=\"filter_placeholder_text ig-inline\">"+text+"</div><div class=\"delete_filteroption ig-inline ig-margin-left-k\"></div></div>");
		}
	});
/*	
	// Show min Price if set 
	if(minPrice < selectedMinPrice){
		$(".resetForm, .initSelections").css("display", "inline-block");
		$(".igShopSelectedOptions").append("<div class=\"filter_placeholder selectedMinPrice\"><div class=\"filter_placeholder_text ig-inline\">Preis von "+priceWithCurrency(selectedMinPrice)+"</div><div class=\"delete_filteroption ig-inline ig-margin-left-k\"></div></div>");
		$("#sliderOutput .selectedMinPrice .filter_placeholder_text").html("von "+priceWithCurrency(selectedMinPrice));
	}else{
		$("#sliderOutput .selectedMinPrice .filter_placeholder_text").html("von "+priceWithCurrency(minPrice));
	}

	// Show max Price if set 
	if(maxPrice > selectedMaxPrice){
		$(".resetForm, .initSelections").css("display", "inline-block");
		$(".igShopSelectedOptions").append("<div class=\"filter_placeholder ig-inline selectedMaxPrice\"><div class=\"filter_placeholder_text ig-inline\">Preis bis "+priceWithCurrency(selectedMaxPrice)+"</div><div class=\"delete_filteroption ig-inline ig-margin-left-k\"></div></div>");
		$("#sliderOutput .selectedMaxPrice .filter_placeholder_text").html("bis "+priceWithCurrency(selectedMaxPrice));
	}else{
		$("#sliderOutput .selectedMaxPrice .filter_placeholder_text").html("bis "+priceWithCurrency(maxPrice));
	}
*/	
	$('.igShopSelectedOptions').append($('.igShopSelectedOptions .resetForm'));
	
	$(".selectedMaxPrice").on("click", ".delete_filteroption", function(){
		$("#maxPriceSetter").val(0);
	});
	
	$(".selectedMinPrice").on("click", ".delete_filteroption", function(){
		$("#minPriceSetter").val(0);
	});
	
	$(".price_"+selectedCurrency).each(function(){
		priceArray.push(parseFloat($.trim($(this).html()).replace(/[A-Za-z]+ /, "")));
	});

		
	$(".filterForm").on("click",".delete_filteroption", function(){
		if($(this).parent().attr("id") != null){
			var filter_id = $(this).parent().attr("id").replace(/placeholder_/, "");
			$("#"+filter_id).prop( "checked", false );
		}
		var searchStringValue = $('.headerSearchField').val();
		
		if(searchStringValue !== undefined){
			$(this).closest('form').append('<input type="hidden" name="'+$('.headerSearchField').attr("name")+'" value="'+searchStringValue+'" />');
		}
		
		$(this).closest('form').submit();
		$(this).parent().remove();
	});
		
	$(".tx-igshop2 button[type=reset]").click(function(){
		$(".igShopSelectedOptions>div:not(.resetForm)").remove();
		$(".dropdown_content input[type=checkbox]").each(function(){
			$(this).prop("checked", false);
		});
		$("#minPriceSetter").val(0);
		$("#maxPriceSetter").val(0);
		
		var searchStringValue = $('.headerSearchField').val();
		if(searchStringValue !== undefined){
			$(this).closest('form').append('<input type="hidden" name="'+$('.headerSearchField').attr("name")+'" value="'+searchStringValue+'" />');
		}
		$(this).closest('form').submit();
	});
		
	$(".filterForm .igShop_popup .dropdown_header").click(function(){
		originDropdownForm = $(this).parent().find("input[type=checkbox]").serialize();
	});
		
	$(".filterForm .dropdown_content input[type=submit]").click(function(e){
		e.preventDefault();
		var tempDropdownForm = $(this).parents(".igShop_popup").find("input[type=checkbox]").serialize();
		if(originDropdownForm == tempDropdownForm){
			$(this).parent().slideToggle();
			$(this).parent().siblings(".dropdown_header").toggleClass("active");
			$(this).parent().siblings(".dropdown_header").find(".dropdown_action_arrow").toggleClass("dropdown_action_close_arrow").toggleClass("dropdown_action_open_arrow");
			return false;
		}
		
		var searchStringValue = $('.headerSearchField').val();
		//console.log(searchStringValue);
		if(searchStringValue !== undefined){
			$(this).closest('form').append('<input type="hidden" name="'+$('.headerSearchField').attr("name")+'" value="'+searchStringValue+'" />');
		}
		$(this).closest("form").submit();
	});
		
	$(".filterForm .igShop_popup input[type=checkbox]").change(function(e){
		var tempDropdownForm = $(this).parents(".igShop_popup").find("input[type=checkbox]").serialize();
		if(originDropdownForm != tempDropdownForm){
			$(this).closest(".igShop_popup").find("input[type=submit]").val("Übernehmen");
		}else{
			$(this).closest(".igShop_popup").find("input[type=submit]").val("Schliessen");
		}
	});
		
	/*$(".filterForm .dropdown_content").each(function(){
		$(this).width($(this).parent().find("div.dropdown_header")[0].getBoundingClientRect().width - 32);
	});
	
	$(window).smartresize(function() {
		$(".filterForm .dropdown_content").each(function(){
			$(this).width($(this).parent().find("div.dropdown_header")[0].getBoundingClientRect().width - 32);
		});
	});*/
		
	$("div.dropdown_content div.filter_option").click(function(e){
		e.stopPropagation();
		e.preventDefault();
		var checkBox = $(this).find("input[type=checkbox]");
		$(checkBox).prop("checked", !$(checkBox).prop("checked"));
		$(checkBox).change();
		
		if($(this).hasClass("color_option")){
			if($(this).brightness()){
				$(this).toggleClass("whiteSelectedOption");
			}else{
				$(this).toggleClass("selectedOption");
			}
		}
		
	}).find("input[type=checkbox]").click(function(e){ e.stopPropagation(); });
		
	$("div.dropdown_content div.filter_option input[type=checkbox]").change(function(e){
		checkFormModification();
	});
	
	$(".color_option").each(function(){
		if($(this).css("background-color") == "rgb(255, 255, 255)"){
			$(this).addClass("bgWhite");
		}
	});
	
	$(".filterForm").on("click",".dropdown_header.active" ,function(){
		if(submitForm){
			$(this).closest('form').submit();
		}
	});

    /*
	$( "#slider" ).slider({
		range: true,
		min: minPrice,
		max: maxPrice,
		values: [selectedMinPrice, selectedMaxPrice],
		slide: function( event, ui ) {
			$( "#minPriceSetter" ).val(ui.values[ 0 ]);
			$( "#maxPriceSetter" ).val(ui.values[ 1 ]);
			checkFormModification();
			
			$( "#minPriceSetter" ).change();
			$( "#maxPriceSetter" ).change();
			
			$("#sliderOutput .selectedMinPrice .filter_placeholder_text").html("von "+priceWithCurrency($("#minPriceSetter").val()));
			$("#sliderOutput .selectedMaxPrice .filter_placeholder_text").html("bis "+priceWithCurrency($("#maxPriceSetter").val()));
		}
	});
*/		
});